%global groupname alfred

Name:           alfred
Version:        2017.1
Release:        2%{?dist}
Summary:        Almighty Lightweight Fact Remote Exchange Daemon

License:        GPL2
URL:            https://www.open-mesh.org/projects/alfred/wiki/Alfred
Source0:        https://downloads.open-mesh.org/batman/stable/sources/alfred/alfred-%{version}.tar.gz
Source1:	alfred.service
Source2:	batadv-vis.service
Patch0:		alfred.sock.patch

BuildRequires:  libcap-devel libnl3-devel
#Requires:       

%description
alfred is a user space daemon for distributing arbitrary local information over
the mesh/network in a decentralized fashion. This data can be anything which
appears to be useful - originally designed to replace the batman-adv
visualization (vis), you may distribute hostnames, phone books, administration
information, DNS information, the local weather forecast ...

alfred runs as daemon in the background of the system. A user may insert
information by using the alfred binary on the command line, or use special
programs to communicate with alfred (done via unix sockets). alfred then takes
care of distributing the local information to other alfred servers on other
nodes. This is done via IPv6 link-local multicast, and does not require any
configuration. A user can request data from alfred, and will receive the
information available from all alfred servers in the network. Alternatively,
alfred can be configured to distribute the local information via IPv4 multicast.
This is configured by setting the IPv4 multicast group address in the -4 option.

%prep
%autosetup

%build
#configure
%make_build CONFIG_ALFRED_GPSD=n PREFIX=/usr

%install
%make_install CONFIG_ALFRED_GPSD=n PREFIX=/usr 
mkdir -p %{buildroot}/usr/lib/systemd/system
install -m 644 %{SOURCE1} %{buildroot}/usr/lib/systemd/system
install -m 644 %{SOURCE2} %{buildroot}/usr/lib/systemd/system

%pre
getent group  %{groupname} >/dev/null || groupadd -r %{groupname}
getent passwd alfred > /dev/null || /usr/sbin/useradd -G %{groupname} \
        -c "Almighty Lightweight Fact server" \
        -r -d /var/lib/alfred -s /sbin/nologin alfred

%post
%systemd_post alfred.service

%postun
%systemd_postun_with_restart alfred.service

%preun
%systemd_preun alfred.service

%files
%license LICENSE
%doc README CHANGELOG

/usr/sbin/alfred
/usr/sbin/batadv-vis
/usr/share/man/man8/alfred.8.gz
/usr/share/man/man8/batadv-vis.8.gz
/usr/lib/systemd/system/alfred.service
/usr/lib/systemd/system/batadv-vis.service

%changelog
* Wed Jun 14 2017 Stuart D. Gathman <stuart@gathman.org> 2017.1-2
- Add user and systemd service.

* Wed Jun 14 2017 Stuart D. Gathman <stuart@gathman.org> 2017.1-1
- Initial RPM package
